Subject: [certid] IDNA2008

From: Paul Hoffman <[email-masked]>
Date: Fri, 11 Jun 2010 17:17:22 -0700

>   [[ Editorial Note: This section needs to be updated to reflect
>   [IDNA2008]. ]]

Yes.

>   The term "internationalized domain name" refers to a DNS domain name
>   that conforms to the overall form of a domain name (dot-separated
>   labels) but that can include Unicode code points outside the
>   traditional US-ASCII range, as explained by [IDNA2003] and
>   [IDNA2008].

remove "[IDNA2003]". It is obsoleted by IDNA2008.

>   If the source domain of a reference identifier is an
>   internationalized domain name, then an implementation MUST convert
>   the domain name to the ASCII Compatible Encoding (ACE) format as
>   specified in Section 4 of [IDNA2003] before comparison

Awaiting publication of IDNA2008 (within weeks) to get this reference.

>; specifically,
>   the conversion operation specified in Section 4 of [IDNA2003] MUST be
>   performed as follows:
>
>   o  In step 1, the domain name SHALL be considered a "stored string".
>   o  In step 3, set the flag called "UseSTD3ASCIIRules".
>   o  In step 4, process each label with the "ToASCII" operation.
>   o  In step 5, change all label separators to U+002E (full stop).
>
>   After performing the "to-ASCII" conversion with regard to an
>   internationalized domain name, the DNS labels and names MUST be
>   compared for equality according to the rules specified in Section 3
>   of [IDNA2003], i.e. once all label separators are replaced with
>   U+002E (dot) they are compared in a case-insensitive manner.

All of that will disappear, and be replaced by probably one sentence.

--Paul Hoffman, Director
--VPN Consortium